* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Jersey 10";
    user-select: none;
}

.wrap {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    position: relative;
    background: #c9c9ff;
    background: linear-gradient(0deg, rgba(201, 201, 255, 1) 0%, rgba(181, 195, 255, 1) 100%);
}

.coffeeContainer {
    height: 70%;
    aspect-ratio: 1/1;
    position: relative;
    background-image: url(Images/CoffeeTexture.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    image-rendering: pixelated;
    filter: drop-shadow(rgba(85, 85, 85, 0.4) 0 0 20px);
}

.shakeClassDecoration {
    animation: tiltAndMove 0.3s ease-in-out infinite;
}

.screenDiv {
    position: absolute;
    top: 5%;
    left: 14.8%;
    height: 20%;
    width: 40.2%;
    background-color: #222;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2em;
    color: #fff;
    box-shadow:
        inset 0 0 80px rgba(0, 0, 0, 0.9),
        0 0 30px rgba(0, 0, 0, 0.5);
}

.scanLines {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0.5;
    background: linear-gradient(rgba(18, 16, 16, 0) 50%,
            rgba(0, 0, 0, 0.25) 50%),
        linear-gradient(90deg,
            rgba(255, 0, 0, 0.06),
            rgba(0, 255, 0, 0.02),
            rgba(0, 0, 255, 0.06));
    background-size: 100% 4px, 3px 100%;
    pointer-events: none;
    z-index: 2;
}

.screenDiv::after {
    content: " ";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: radial-gradient(ellipse at center,
            rgba(255, 255, 255, 0.1) 0%,
            rgba(255, 255, 255, 0) 10%);
    z-index: 5;
    pointer-events: none;
}

.milkDiv {
    position: absolute;
    width: 15%;
    height: 20%;
    background-color: #444;
    right: 20%;
    top: 5%;
    display: flex;
    flex-direction: column;
    justify-content: end;
}

.milkDisplay {
    width: 100%;
    height: 100%;
    background-color: #fff;
    transition: 0.3s;
    animation: milkAppear 1s ease-in-out;
}

.cupDiv {
    position: absolute;
    left: 16%;
    top: 40%;
    width: 40%;
    aspect-ratio: 1/1;
    background-image: url(Images/CupTexture1.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    image-rendering: pixelated;
    z-index: 2;
    transition: 0.2s;
    display: flex;
    flex-direction: column;
    justify-content: center;
    transform: translateZ(0)
}

.coffeeStreamDiv {
    position: absolute;
    width: 5%;
    height: 10%;
    left: 30%;
    top: 45%;
    display: flex;
    flex-direction: column;
    justify-content: baseline;
}

.coffeeStreamDisplay {
    position: absolute;
    height: 0%;
    width: 100%;
    background-color: #51433aff;
    transition: 0.3s;
}

.starterScreen {
    display: none;
    color: orange;
    font-size: 1em;
    font-weight: 700;
    animation: flicker 0.15s infinite;
}

.greenBtn {
    position: absolute;
    right: 14.95%;
    top: 70%;
    width: 5%;
    height: 5%;
    background-color: #2ddc65;
    transition: 0.2s;
    cursor: pointer;
}

.greenBtn:hover {
    transform: scale(1.2);
    filter: brightness(1.2) drop-shadow(#2ddc65 0 0 10px);
}

.greenBtn:active {
    transform: scale(1);
    filter: brightness(0.9);
}

.redBtn {
    position: absolute;
    right: 14.95%;
    top: 60%;
    width: 5%;
    height: 5%;
    background-color: #ff5454;
    transition: 0.2s;
    cursor: pointer;
}

.redBtn:hover {
    transform: scale(1.2);
    filter: brightness(1.2) drop-shadow(#ff5454 0 0 10px);
}

.redBtn:active {
    transform: scale(1);
    filter: brightness(0.9);
}

.coffeeScreen {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: row;
    animation: flicker 0.15s infinite;
}

.arrowBtn {
    width: 20%;
    aspect-ratio: 1/1;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-size: 50px;
    transition: 0.2s;
}

.arrowBtn:hover {
    transform: scale(1.2);
    filter: drop-shadow(#fff 0 0 5px);
    font-weight: 800;
}

.arrowBtn:active {
    transform: scale(0.9);
}

.colorDisplay {
    position: absolute;
    right: 14.95%;
    top: 45%;
    width: 5%;
    background-color: #51433aff;
    height: 5%;
    transition: 0.2s;
}

.MLCount {
    position: absolute;
    width: 40%;
    height: 100%;
    background-color: #444;
    right: -30%;
    display: flex;
    flex-direction: column;
    justify-content: end;
    align-items: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    image-rendering: pixelated;
    background-image: url(Images/WaterContainerTexture.png);
    padding: 4.9%;
}

.waterDisplay {
    width: 100%;
    height: 100%;
    background: #6F9AFF;
    background: linear-gradient(0deg, rgba(111, 154, 255, 1) 0%, rgba(150, 182, 255, 1) 100%);
    transition: 2s;
    opacity: 0.9;
}

.waterTextDisplay {
    position: absolute;
    bottom: 45%;
    font-size: 5em;
    opacity: 0.5;
    color: #fff;
    font-weight: 700;
}

.waterControlsDiv {
    position: absolute;
    width: 100%;
    height: 20%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 2em;
}

.arrowBtnWater {
    height: 40%;
    aspect-ratio: 1/1;
    font-size: 5em;
    opacity: 0.5;
    color: #fff;
    font-weight: 700;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: 0.2s;
}

.arrowBtnWater:hover {
    transform: scale(1.2);
    filter: brightness(1.2) drop-shadow(#b1c9ff 0 0 5px);
}

.arrowBtnWater:active {
    transform: scale(0.9);
}

#messageDiv {
    position: absolute;
    width: 25%;
    aspect-ratio: 1/0.25;
    left: -13%;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-size: 50px;
    transform: rotateY(90deg);
    transition: 0.5s;
    z-index: 3;
}

.liquidDisplay {
    display: block;
    position: absolute;
    width: 45%;
    height: 2%;
    background-color: #51433aff;
    left: 18%;
    top: 28%;
    opacity: 0;
    transition: 0.5s;
}

.successMessageDiv {
    border: 10px solid #14ad51;
    color: #333;
    background-color: #1fff79;
}

.failMessageDiv {
    border: 10px solid #ad1414;
    color: #fff;
    background-color: #ff4646;
}

.coffeeMessageDiv {
    border: 10px solid rgb(93, 76, 66);
    color: #fff;
    background-color: rgb(120, 99, 85);
}

.tableDiv {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 15%;
    background: #555;
    background: linear-gradient(315deg, rgba(85, 85, 85, 1) 0%, rgba(122, 122, 122, 1) 100%);
}

@keyframes tiltAndMove {
    0% {
        transform: translateX(0)
    }

    25% {
        transform: translateX(5px)
    }

    50% {
        transform: translateX(-5px)
    }

    75% {
        transform: translateX(5px)
    }

    100% {
        transform: translateX(0)
    }
}

@keyframes milkAppear {
    from {
        height: 0;
    }

    to {
        height: 100%;
    }
}

@keyframes flicker {
    0% {
        opacity: 0.9;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0.9;
    }
}